/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace;

/**
 * Comment in trace. Can be identified by {@link Tracer.Formatter formatter} and get in the trace
 * for trace debugging. In channels like {@link TraceProvider} and {@link MessageStream} these
 * messages must be ignored.
 *
 * @author Sergey Groshev
 */
public final class DebugMessage extends AbstractTraceMessage {

  String text;

  public DebugMessage(String text) {
    super(null, null);
    this.text = text;
  }

  @Override
  public Kind getKind() {
    return Kind.DEBUG_MESSAGE;
  }

  public String getText() {
    return text;
  }
}
