/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.fsm;

import com.unitesk.aspectrace.AspectAdapter;
import com.unitesk.aspectrace.TagMessage;

public abstract class AbstractFsmListener implements FsmListener {

  @Override
  public void attachedToAdapter(String aspect, AspectAdapter adapter)
      throws IllegalStateException {}

  @Override
  public void processTagChange(TagMessage msg) {}

  @Override
  public void processFsmStart(FsmStartMessage msg) {}

  @Override
  public void processFsmEnd(FsmEndMessage msg) {}

  @Override
  public void processStateMessage(FsmStateMessage msg) {}

  @Override
  public void processTransitionMessage(TransitionMessage msg) {}

  @Override
  public void processIterationVariable(IterVarMessage msg) {}

  @Override
  public void processBrowserMessage(FsmBrowserMessage msg) {}

  @Override
  public void processSummaryMessage(FsmSummaryMessage msg) {}
}
