/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.fsm;

/**
 * Interface of aspect "fsm" message handler.
 *
 * @author Sergey Groshev
 */
public interface FsmListener extends com.unitesk.aspectrace.AspectListener {

  public void processFsmStart(FsmStartMessage msg);

  public void processFsmEnd(FsmEndMessage msg);

  public void processStateMessage(FsmStateMessage msg);

  public void processTransitionMessage(TransitionMessage msg);

  public void processIterationVariable(IterVarMessage msg);

  public void processSummaryMessage(FsmSummaryMessage msg);

  public void processBrowserMessage(FsmBrowserMessage msg);
}
