/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.oracle;

import com.unitesk.aspectrace.AspectAdapter;
import com.unitesk.aspectrace.TagMessage;

/** Empty handler for aspect "oracle". Defines empty realizations of all necessary methods. */
public abstract class AbstractOracleListener implements OracleListener {

  @Override
  public void processOracleStart(OracleStartMessage msg) {}

  @Override
  public void processOracleEnd(OracleEndMessage msg) {}

  @Override
  public void processFormulaMessage(FormulaMessage msg) {}

  @Override
  public void processMark(MarkMessage msg) {}

  @Override
  public void processPostEnd(boolean verdict) {}

  @Override
  public void processPreEnd(boolean verdict) {}

  @Override
  public void processTagChange(TagMessage msg) {}

  @Override
  public void attachedToAdapter(String aspect, AspectAdapter adapter) {}
}
