/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.ref;

import com.unitesk.aspectrace.ReportEntity;

/**
 * Интерфейс разрешателя ссылок на накопленные элементы отчета.
 *
 * @author Sergey Groshev
 */
public interface ReferenceResolver<T extends ReportEntity> {

  /**
   * Разрешить текстовую ссылку. Возможно отображение ссылок в 0 или 1 объектов отчёта.
   *
   * @param channel Привязка к каналу ({@code null}, если канал неважен)
   * @param ref Текстовая ссылка.
   * @return {@code null} или ссылка.
   */
  public T resolve(String channel, String ref);
}
