/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.requirement;

import com.unitesk.aspectrace.sampleApp.SummaryCollector;

import java.util.HashMap;

// Информация о требованиях из всех баз требований, на которые есть ссылки в трассе
public class DB {
  String id;
  String name;
  String location;

  HashMap<String, DBEntry> content;

  public String getId() {
    return id;
  }

  public String getName() {
    return name;
  }

  public String getLocation() {
    return location;
  }

  public HashMap<String, DBEntry> getContent() {
    return content;
  }

  public DB(String id, String name, String location, HashMap<String, DBEntry> content) {
    this.id = id;
    this.name = name;
    this.location = location;
    this.content = content;
  }

  public String getDbLinkAndName(int level) {
    String dbName = (name == null ? id : name);
    return "<a href=\""
        + SummaryCollector.getRelativePath(level)
        + "requirements/"
        + id
        + ".html\">"
        + dbName;
  }
}
