/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.requirement;

import com.unitesk.aspectrace.sampleApp.SummaryCollector;

// Информация о требованиях из базы требований
public class DBEntry {

  public String dbName;

  public String reqId;
  public String reqName;
  public String reqDesc;
  public String reqLdesc;

  public DBEntry parent;

  public DBEntry(String dbName, String reqId, String reqName, String reqDesc, String reqLdesc) {
    this.dbName = dbName;
    this.reqId = reqId;
    this.reqName = reqName;
    this.reqDesc = reqDesc;
    this.reqLdesc = reqLdesc;
  }

  public String getReqId() {
    return reqId;
  }

  public String isPassed() {
    String result;
    String nameForFind = reqName.substring(0, reqName.indexOf('<'));
    ReqInfo dbInfo = SummaryCollector.getDbList().get(dbName).getContent().get(nameForFind);
    if (dbInfo != null) {
      result = dbInfo.isPassed();
    } else {
      ReqInfo dbInfoById = SummaryCollector.getDbList().get(dbName).getContent().get(reqId);
      if (dbInfoById != null) {
        result = dbInfoById.isPassed();
      } else {
        result = "uncovered";
      }
    }
    return result;
  }

  public String getReqName() {
    return reqName;
  }

  public String getReqDesc() {
    if (reqDesc == "") {
      return getReqLdesc();
    } else {
      return reqDesc;
    }
  }

  public String getReqLdesc() {
    return reqLdesc;
  }
}
