/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.requirement;

import com.unitesk.aspectrace.sampleApp.SummaryCollector;

public class ReqInfo {

  public String reqId;
  public String db;
  public String dbName;

  String reqDescription;
  String firstCovered;
  String isPassed; // passed; failed; uncovered

  public ReqInfo(
      String reqId, String db, String reqDescription, String firstCovered, String isPassed) {
    this.reqId = reqId;
    this.db = db;
    this.reqDescription = reqDescription;
    this.firstCovered = firstCovered;
    this.isPassed = isPassed;
  }

  public String getReqId() {
    return reqId;
  }

  public String getReqDescription() {
    return reqDescription;
  }

  public String isPassed() {
    return isPassed;
  }

  public String getFirstCovered() {
    return firstCovered;
  }

  public String getDb(int level) {
    return "<a href=\""
        + SummaryCollector.getRelativePath(level)
        + "requirements/"
        + db
        + ".html\">"
        + db;
  }

  public String getDb() {
    return db;
  }
}
