///*
// * Copyright 2004-2009 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
// *
// * Licensed under the Apache License, Version 2.0 (the "License");
// * you may not use this file except in compliance with the License.
// * You may obtain a copy of the License at
// *
// *     http://www.apache.org/licenses/LICENSE-2.0
// *
// * Unless required by applicable law or agreed to in writing, software
// * distributed under the License is distributed on an "AS IS" BASIS,
// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// * See the License for the specific language governing permissions and
// * limitations under the License.
// */
//package com.unitesk.aspectrace.templates;
//
//import java.io.File;
//import java.io.FileInputStream;
//import java.io.FileNotFoundException;
//import java.io.FileReader;
//import java.io.IOException;
//import java.io.InputStream;
//import java.net.URL;
//import java.text.SimpleDateFormat;
//import java.util.Collection;
//import java.util.Date;
//import java.util.Iterator;
//import java.util.Properties;
//import java.util.logging.Level;
//import java.util.logging.Logger;
//
//import javax.xml.transform.Templates;
//import javax.xml.transform.Transformer;
//import javax.xml.transform.TransformerConfigurationException;
//import javax.xml.transform.TransformerFactory;
//import javax.xml.transform.stream.StreamSource;
//
///**
// * Options for report generation.
// *
// * @author Sergey Gomanyuk
// * @version $Revision: 1.28 $
// */
//public class ReportGeneratorOptions
//{
//    private static final String P_PRODUCT_VERSION = "product.version";
//    private static final String P_PRODUCT_BUILD = "product.build";
//
//    public static final String PRODUCT_NAME = "UniTESK test report generator";
//    public static final String PRODUCT_VERSION;
//    public static final String PRODUCT_BUILD;
//    static {
//        Properties versionProperties = new Properties();
//        versionProperties.setProperty(P_PRODUCT_VERSION, "SNAPSHOT");
//        versionProperties.setProperty(P_PRODUCT_BUILD, new Date().toString());
//
//        InputStream versionResource
//            = ReportGeneratorOptions.class.getClassLoader().getResourceAsStream("META-INF/stargen.version");
//
//        if (versionResource != null) {
//            try {
//                versionProperties.load(versionResource);
//            } catch (IOException e) {
//            }
//        }
//
//        PRODUCT_VERSION = versionProperties.getProperty(P_PRODUCT_VERSION);
//        PRODUCT_BUILD = versionProperties.getProperty(P_PRODUCT_BUILD);
//    }
//
//    // each constant OPTION_* is an array of 2 or 3 elements:
//    // 1st - short option name, 
//    // 2nd - long option name, 
//    // 3rd (if present) - option name in properties file
//    public static final String[] OPTION_HTML_REPORT = new String[] {"d", "html-report", "HTML_REPORT"};
//    public static final String[] OPTION_XML_REPORT = new String[] {"x", "xml-report", "XML_REPORT"};
//
//    public static final String[] OPTION_JAVATESK_MENU_MAXIMAL_FAILURES_NUMBER = new String[] {"f", "javatesk-menu-maximal-failures-number", "JAVATESK_MENU_MAXIMAL_FAILURES_NUMBER"};
//    public static final String[] OPTION_JAVATESK_MENU_SHORTEN_PACKAGES = new String[] {"ah", "javatesk-menu-shorten-packages", "JAVATESK_MENU_SHORTEN_PACKAGES"};
//    public static final String[] OPTION_JAVATESK_REPORT_SHORTEN_PACKAGES = new String[] {"ar", "javatesk-report-shorten-packages", "JAVATESK_REPORT_SHORTEN_PACKAGES"};
//
//    public static final String[] OPTION_CTESK_REPORT_MAXIMAL_FAILURES_PER_SCENARIO = new String[] {"crmfps", "ctesk-report-maximal-failures-per-scenario", "CTESK_REPORT_MAXIMAL_FAILURES_PER_SCENARIO"};
//    
//    public static final String[] OPTION_BUG_DB_SOURCE = new String[] {"bdbs", "bug-db-source", "XML_BUG_DB_SOURCE"};
//    public static final String[] OPTION_BUG_BODY_XSLT = new String[] {"bbxslt", "bug-body-xslt", "BUG_BODY_XSLT"};
//    public static final String[] OPTION_FAILURE_GROUPING_SCHEMA = new String[] {"fgs", "failure-grouping-schema", "FAILURE_GROUPING_SCHEMA"};
//    public static final String[] OPTION_CREATE_SCENARIO_FSM_REPORT = new String[] {"fsm", "create-scenario-fsm-report", "CREATE_SCENARIO_FSM_REPORT"};
//    public static final String[] OPTION_CREATE_FRAME_AND_SERIES_REPORT = new String[] {"fasc", "create-frame-and-series-coverage-report", "CREATE_FRAME_AND_SERIES_COVERAGE_REPORT"};
//    public static final String[] OPTION_MAXIMAL_STRUCTURAL_FAILURES_COUNT = new String[] {"msfc", "maximal-structural-failures-count", "MAXIMAL_STRUCTURAL_FAILURES_COUNT"};
//    public static final String[] OPTION_MAXIMAL_FAILURES_PER_SCENARIO_COUNT = new String[] {"mfpsc", "maximal-failures-per-scenario-count", "MAXIMAL_FAILURES_PER_SCENARIO_COUNT"};
//    public static final String[] OPTION_MAXIMAL_INTERIM_FAILURES_PER_SCENARIO_COUNT = new String[] {"mifpsc", "maximal-interim-failures-per-scenario-count", "MAXIMAL_INTERIM_FAILURES_PER_SCENARIO_COUNT"};
//    
//    public static final String[] OPTION_STRIP_XML_VALUES = new String[] {"stripxml", "strip-xml-values", "STRIP_XML_VALUES"};
//    
//    public static final String[] OPTION_PRIME_FORMULA_MODE = new String[] {"crpfm", "ctesk-report-prime-formula-mode", "PRIME_FORMULA_MODE"};
//    
//    public static final String[] OPTION_MULTILINE_MARKED_PATH = new String[] {"mlmp", "multi-line-marked-path", "MULTILINE_MARKED_PATH"};
//    
//    public static final String[] OPTION_DEFAULT_CONTEXT_NAME = new String[] {"not present", "not present", "DEFAULT_CONTEXT_NAME"};
//
//    public static final String[] OPTION_FAILURE_MATCHER_CLASS_NAME = new String[] {"not present", "not present", "FAILURE_MATCHER_CLASS_NAME"};
//    public static final String[] OPTION_FAILURE_BUNCHER_CLASS_NAME = new String[] {"not present", "not present", "FAILURE_BUNCHER_CLASS_NAME"};
//
//    public static final String[] OPTION_JVM_OPTIONS = new String[] {"J", "not present", "JVM_OPTIONS"};
//
//    private int nearDirLevel = 0;
//
//    private File htmlReportDir = null;
//    private File xmlReportFile = null;
//
//    private int javateskMenuMaximalFailuresNumber = 0;
//    private int javateskMenuShortenPackages = 2;
//    private int javateskReportShortenPackages = 0;
//    
//    private int cteskReportMaximalFailuresPerScenario = 1;
//
//    private String failureMatcherClassName = "com.unitesk.bugdb.matcher.FailureMatcher";
//    private boolean failureMatcherCreated = false;
//    private String bugDBSource = null;
//    private String bugBodyXSLT = null;
//    private Transformer bugBodyXslTransformer = null;
//    
//    private String failureBuncherClassName = "com.unitesk.buncher.failure.FailureBuncher";
//    private boolean failureBuncherCreated = false;
//    private String failureGroupingSchema = null;
//    
//	private boolean failureGrouping = false;	// Used by Jatt reports
//	
//    private boolean createScenarioFSMReport = true;
//    private boolean createFrameAndSeriesCoverageReport = true;
//
//    private int maximalStructuralFailuresCount = 20;
//    // TODO: Temporary solution: we restrict number of processed failures to avoid
//    // OutOfMemoryException until report model is cached.
//    private int maximalFailuresPerScenarioCount = 0;
//    private int maximalInterimFailuresPerScenarioCount = 0;
//    
//    private boolean stripXMLValues = false;
//    
//    private String primeFormulaMode = "any";
//    
//    private Boolean multilineMarks = null;
//
//    private String defaultContextName = "Default Context";
//
//    private String jvmOptions = null;
//    
//    private Logger logger;
//
//    private String commandLine;
//
//    private File findResourceOrFile(String resourceOrFile)
//    {
//        File found = null;
//        URL resourceURL = ReportGeneratorOptions.class.getResource(resourceOrFile);
//        if(resourceURL != null) {
//            String resourceFileName = resourceURL.getFile().replaceAll("%20", " ");
//            found = new File(resourceFileName);
//        }
//        if(found != null && found.exists()) return found;
//
//        return new File(resourceOrFile);
//    }
//    
//    public File getHTMLReportDirectory() {
//        return htmlReportDir;
//    }
//
//}